using System;

namespace BankAccount
{
	
	public class CheckingAccount : Account
	{
		
		public CheckingAccount() 
		{
			balance = 100;
		}
		public override void Deposit(decimal amount)
		{
			balance += amount;
		}
		public override void Withdraw(decimal amount)
		{
			balance -= amount;
			if (balance < 0)
				throw new Exception("Negative Balance.");
		}
		public void Show()
		{
			Console.WriteLine("balance = " + Balance);
		}
	}
}
