using System;
using BankAccount;

class CheckingAccountDemo
{
	public static void Main()
	{
		try
		{
			CheckingAccount chk = new CheckingAccount();
			chk.Deposit(100);
			chk.Show();

			IAccount iAcc = chk as IAccount;
			if (iAcc != null)
				iAcc.Withdraw(50);

			chk.Show();
		}
		catch (Exception e)
		{
			Console.WriteLine("Exception:" + e.Message);
		}
	}
}